#!/sbin/bash

VERSION=2.1Mod

if [ ! -f "/system/bin/mot_boot_mode.bin" ];
then
	cp -f /system/bin/mot_boot_mode /system/bin/mot_boot_mode.bin
	rm -f /system/bin/mot_boot_mode
	chmod 755 /system/bin/mot_boot_mode.bin
fi

sed -i "s/ro.build.display.id=.*/ro.build.display.id=$VERSION/g" /system/build.prop
sed -i "s/ro.media.enc.hprof.vid.width=.*/ro.media.enc.hprof.vid.width=720/g" /system/build.prop
sed -i "s/ro.media.enc.hprof.vid.height=.*/ro.media.enc.hprof.vid.height=576/g" /system/build.prop
sed -i "s/ro.media.enc.vid.h264.width=.*/ro.media.enc.vid.h264.width=176,720/g" /system/build.prop
sed -i "s/ro.media.enc.vid.h264.height=.*/ro.media.enc.vid.h264.height=144,576/g" /system/build.prop
sed -i "s/ro.media.enc.hprof.vid.fps=.*/ro.media.enc.hprof.vid.fps=30/g" /system/build.prop
sed -i "s/ro.media.enc.hprof.vid.bps=.*/ro.media.enc.hprof.vid.bps=5000000/g" /system/build.prop
sed -i "s/ro.media.enc.hprof.aud.bps=.*/ro.media.enc.hprof.aud.bps=128000/g" /system/build.prop
sed -i "s/ro.media.enc.hprof.aud.hz=.*/ro.media.enc.hprof.aud.hz=32000/g" /system/build.prop
sed -i "s/ro.product.max_num_touch=.*/ro.product.max_num_touch=4/g" /system/build.prop
sed -i "s/ro.telephony.call_ring.delay=.*/ro.telephony.call_ring.delay=1000/g" /system/build.prop
sed -i "s/ro.product.name=.*/ro.product.name=umts_sholes/g" /system/build.prop
sed -i "s/ro.product.device=.*/ro.product.device=umts_sholes/g" /system/build.prop

if grep -q dns1 /system/default.prop ; then
	echo "."
else
	echo "net.dns1=8.8.8.8" >> /system/default.prop
	echo "net.dns2=8.8.4.4" >> /system/default.prop
	echo "net.rmnet0.dns1=8.8.8.8" >> /system/default.prop
	echo "net.rmnet0.dns2=8.8.4.4" >> /system/default.prop
	echo ".."
fi


exit 0
